package org.gcube.dataharvest.datamodel;

import java.util.Date;
import java.io.Serializable;

public class Harvest  implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public static int ACCESSESS = 1;
	public static int USERS = 2;
	public static int DATA_METHOD_DOWNLOAD = 3;
	public static int NEW_CATALOGUE_METHODS = 4;
	public static int NEW_CATALOGUE_DATASETS = 5;
	public static int NEW_CATALOGUE_DELIVERABLES = 6;
	public static int NEW_CATALOGUE_APPLICATIONS = 7;
	public static int SOCIAL_POSTS = 8;
	public static int SOCIAL_REPLIES = 9;
	public static int SOCIAL_LIKES = 10;
	public static int METHOD_INVOCATIONS = 11;
	public static int VISUAL_TOOLS = 12;

	private int dataType;
	private String context;
	private long measure;
	private Date day;
	
	public Harvest() {
		
	}
	
	public Harvest(int dataType, String context, long measure, Date day) {
		super();
		this.dataType = dataType;
		this.context = context;
		this.measure = measure;
		this.day = day;
	}

	public Harvest(int dataType, String context, long measure) {
		this.dataType = dataType;
		this.context = context;
		this.measure = measure;
	}

	
	public void setDataType(int dataType) {
		this.dataType = dataType;
	}

	public void setContext(String context) {
		this.context = context;
	}

	public void setMeasure(long measure) {
		this.measure = measure;
	}

	public void setDay(Date day) {
		this.day = day;
	}

	public int getDataType() {
		return dataType;
	}

	public String getContext() {
		return context;
	}

	public long getMeasure() {
		return measure;
	}

	public Date getDay() {
		return day;
	}

	@Override
	public String toString() {
		return "Harvest [context=" + context + ", dataType=" + dataType + ", measure=" + measure + "]";
	}

}