package org.gcube.utils;

public class DataFiller {
	private static String[] data10 = {
			"/d4science.research-infrastructures.eu/FARM/AlieiaVRE","12",
			"/d4science.research-infrastructures.eu/D4Research/AnalyticsLab","83",
			"/d4science.research-infrastructures.eu/FARM/Aquabiotech","8",
			"/d4science.research-infrastructures.eu/gCubeApps/AquacultureAtlasGeneration","26",
			"/d4science.research-infrastructures.eu/gCubeApps/AquacultureTrainingLab","71",
			"/d4science.research-infrastructures.eu/FARM/ARDAG_Aquaculture","5",
			"/d4science.research-infrastructures.eu/D4Research/BOBLME_HilsaAWG","3",
			"/d4science.research-infrastructures.eu/gCubeApps/BiodiversityLab","374",
			"/d4science.research-infrastructures.eu/gCubeApps/BiOnym","112",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueCommons","37",
			"/d4science.research-infrastructures.eu/D4Research/Blue-Datathon","44",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueUptake","36",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBRIDGE-EAB","19",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBridgeProject","100",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBRIDGE-PSC","10",
			"/d4science.research-infrastructures.eu/D4Research/BlueBRIDGEReview","15",
			"/d4science.research-infrastructures.eu/D4Research/DRuMFISH","27",
			"/d4science.research-infrastructures.eu/FARM/EllinikaPsariaVRE","11",
			"/d4science.research-infrastructures.eu/FARM/ForkysVRE","12",
			"/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas","0",
			"/d4science.research-infrastructures.eu/FARM/GALAXIDI","6",
			"/d4science.research-infrastructures.eu/FARM/GRSF","13",
			"/d4science.research-infrastructures.eu/FARM/GRSF_Admin","28",
			"/d4science.research-infrastructures.eu/gCubeApps/ICCAT_BFT-E","37",
			"/d4science.research-infrastructures.eu/D4Research/ICES_AbundanceEstimationFromAcoustic","36",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_DALSA","27",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_DASC","17",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_FIACO","28",
			"/d4science.research-infrastructures.eu/D4Research/ICES_IntroStockAssessment","34",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_TCRE","30",
			"/d4science.research-infrastructures.eu/D4Research/ICES_MSE","27",
			"/d4science.research-infrastructures.eu/D4Research/ICES_MSY","84",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_StockAssessmentAdvanced","26",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_TCSSM","29",
			"/d4science.research-infrastructures.eu/FARM/iLKNAK_Aquaculture","5",
			"/d4science.research-infrastructures.eu/D4Research/InfraTraining","10",
			"/d4science.research-infrastructures.eu/D4Research/IOTC_SS3","31",
			"/d4science.research-infrastructures.eu/gCubeApps/iSearch","56",
			"/d4science.research-infrastructures.eu/FARM/MARKELLOS_Aquaculture","5",
			"/d4science.research-infrastructures.eu/gCubeApps/PerformanceEvaluationInAquaculture","27",
			"/d4science.research-infrastructures.eu/gCubeApps/ProtectedAreaImpactMaps","30",
			"/d4science.research-infrastructures.eu/gCubeApps/RPrototypingLab","99",
			"/d4science.research-infrastructures.eu/gCubeApps/RStudioLab","68",
			"/d4science.research-infrastructures.eu/gCubeApps/ScalableDataMining","152",
			"/d4science.research-infrastructures.eu/gCubeApps/SIASPA","19",
			"/d4science.research-infrastructures.eu/gCubeApps/StockAssessment","62",
			"/d4science.research-infrastructures.eu/gCubeApps/StrategicInvestmentAnalysis","26",
			"/d4science.research-infrastructures.eu/FARM/STRATOS_AQUACULTURES","6",
			"/d4science.research-infrastructures.eu/gCubeApps/TabularDataLab","182",
			"/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas","38",
			"/d4science.research-infrastructures.eu/FARM/VME-DB","18",
			"/d4science.research-infrastructures.eu/FARM/WECAFC-FIRMS","20"
	};
	
	private static String[] data11 = {
			"/d4science.research-infrastructures.eu/FARM/AlieiaVRE","12",
			"/d4science.research-infrastructures.eu/D4Research/AnalyticsLab","93",
			"/d4science.research-infrastructures.eu/FARM/Aquabiotech","8",
			"/d4science.research-infrastructures.eu/gCubeApps/AquacultureAtlasGeneration","26",
			"/d4science.research-infrastructures.eu/gCubeApps/AquacultureTrainingLab","136",
			"/d4science.research-infrastructures.eu/FARM/ARDAG_Aquaculture","6",
			"/d4science.research-infrastructures.eu/D4Research/BOBLME_HilsaAWG","3",
			"/d4science.research-infrastructures.eu/gCubeApps/BiodiversityLab","387",
			"/d4science.research-infrastructures.eu/gCubeApps/BiOnym","116",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueCommons","35",
			"/d4science.research-infrastructures.eu/D4Research/Blue-Datathon","45",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueUptake","33",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBRIDGE-EAB","22",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBridgeProject","98",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBRIDGE-PSC","10",
			"/d4science.research-infrastructures.eu/D4Research/BlueBRIDGEReview","15",
			"/d4science.research-infrastructures.eu/D4Research/DRuMFISH","27",
			"/d4science.research-infrastructures.eu/FARM/EllinikaPsariaVRE","11",
			"/d4science.research-infrastructures.eu/FARM/ForkysVRE","12",
			"/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas","0",
			"/d4science.research-infrastructures.eu/FARM/GALAXIDI","4",
			"/d4science.research-infrastructures.eu/FARM/GRSF","13",
			"/d4science.research-infrastructures.eu/FARM/GRSF_Admin","28",
			"/d4science.research-infrastructures.eu/gCubeApps/ICCAT_BFT-E","37",
			"/d4science.research-infrastructures.eu/D4Research/ICES_AbundanceEstimationFromAcoustic","36",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_DALSA","27",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_DASC","17",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_FIACO","28",
			"/d4science.research-infrastructures.eu/D4Research/ICES_IntroStockAssessment","34",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_TCRE","31",
			"/d4science.research-infrastructures.eu/D4Research/ICES_MSE","27",
			"/d4science.research-infrastructures.eu/D4Research/ICES_MSY","84",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_StockAssessmentAdvanced","26",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_TCSSM","29",
			"/d4science.research-infrastructures.eu/FARM/iLKNAK_Aquaculture","6",
			"/d4science.research-infrastructures.eu/D4Research/InfraTraining","10",
			"/d4science.research-infrastructures.eu/D4Research/IOTC_SS3","34",
			"/d4science.research-infrastructures.eu/gCubeApps/iSearch","58",
			"/d4science.research-infrastructures.eu/FARM/MARKELLOS_Aquaculture","5",
			"/d4science.research-infrastructures.eu/gCubeApps/PerformanceEvaluationInAquaculture","27",
			"/d4science.research-infrastructures.eu/gCubeApps/ProtectedAreaImpactMaps","56",
			"/d4science.research-infrastructures.eu/gCubeApps/RPrototypingLab","110",
			"/d4science.research-infrastructures.eu/gCubeApps/RStudioLab","73",
			"/d4science.research-infrastructures.eu/gCubeApps/ScalableDataMining","161",
			"/d4science.research-infrastructures.eu/gCubeApps/SIASPA","22",
			"/d4science.research-infrastructures.eu/gCubeApps/StockAssessment","63",
			"/d4science.research-infrastructures.eu/gCubeApps/StrategicInvestmentAnalysis","26",
			"/d4science.research-infrastructures.eu/FARM/STRATOS_AQUACULTURES","5",
			"/d4science.research-infrastructures.eu/gCubeApps/TabularDataLab","186",
			"/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas","40",
			"/d4science.research-infrastructures.eu/FARM/VME-DB","18",
			"/d4science.research-infrastructures.eu/FARM/WECAFC-FIRMS","20"			
	};
	
	private static String[] data12 = {
			"/d4science.research-infrastructures.eu/FARM/AlieiaVRE","12",
			"/d4science.research-infrastructures.eu/D4Research/AnalyticsLab","99",
			"/d4science.research-infrastructures.eu/FARM/Aquabiotech","8",
			"/d4science.research-infrastructures.eu/gCubeApps/AquacultureAtlasGeneration","28",
			"/d4science.research-infrastructures.eu/gCubeApps/AquacultureTrainingLab","273",
			"/d4science.research-infrastructures.eu/FARM/ARDAG_Aquaculture","6",
			"/d4science.research-infrastructures.eu/D4Research/BOBLME_HilsaAWG","3",
			"/d4science.research-infrastructures.eu/gCubeApps/BiodiversityLab","392",
			"/d4science.research-infrastructures.eu/gCubeApps/BiOnym","118",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueCommons","35",
			"/d4science.research-infrastructures.eu/D4Research/Blue-Datathon","45",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueUptake","33",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBRIDGE-EAB","22",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBridgeProject","98",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBRIDGE-PSC","10",
			"/d4science.research-infrastructures.eu/D4Research/BlueBRIDGEReview","15",
			"/d4science.research-infrastructures.eu/D4Research/DRuMFISH","27",
			"/d4science.research-infrastructures.eu/FARM/EllinikaPsariaVRE","11",
			"/d4science.research-infrastructures.eu/FARM/ForkysVRE","12",
			"/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas","0",
			"/d4science.research-infrastructures.eu/FARM/GALAXIDI","4",
			"/d4science.research-infrastructures.eu/FARM/GRSF","13",
			"/d4science.research-infrastructures.eu/FARM/GRSF_Admin","30",
			"/d4science.research-infrastructures.eu/gCubeApps/ICCAT_BFT-E","37",
			"/d4science.research-infrastructures.eu/D4Research/ICES_AbundanceEstimationFromAcoustic","36",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_DALSA","27",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_DASC","17",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_FIACO","28",
			"/d4science.research-infrastructures.eu/D4Research/ICES_IntroStockAssessment","34",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_TCRE","31",
			"/d4science.research-infrastructures.eu/D4Research/ICES_MSE","27",
			"/d4science.research-infrastructures.eu/D4Research/ICES_MSY","84",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_StockAssessmentAdvanced","26",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_TCSSM","29",
			"/d4science.research-infrastructures.eu/FARM/iLKNAK_Aquaculture","6",
			"/d4science.research-infrastructures.eu/D4Research/InfraTraining","10",
			"/d4science.research-infrastructures.eu/D4Research/IOTC_SS3","36",
			"/d4science.research-infrastructures.eu/gCubeApps/iSearch","59",
			"/d4science.research-infrastructures.eu/FARM/MARKELLOS_Aquaculture","6",
			"/d4science.research-infrastructures.eu/gCubeApps/PerformanceEvaluationInAquaculture","27",
			"/d4science.research-infrastructures.eu/gCubeApps/ProtectedAreaImpactMaps","57",
			"/d4science.research-infrastructures.eu/gCubeApps/RPrototypingLab","114",
			"/d4science.research-infrastructures.eu/gCubeApps/RStudioLab","74",
			"/d4science.research-infrastructures.eu/gCubeApps/ScalableDataMining","164",
			"/d4science.research-infrastructures.eu/gCubeApps/SIASPA","26",
			"/d4science.research-infrastructures.eu/gCubeApps/StockAssessment","63",
			"/d4science.research-infrastructures.eu/gCubeApps/StrategicInvestmentAnalysis","26",
			"/d4science.research-infrastructures.eu/FARM/STRATOS_AQUACULTURES","5",
			"/d4science.research-infrastructures.eu/gCubeApps/TabularDataLab","188",
			"/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas","40",
			"/d4science.research-infrastructures.eu/FARM/VME-DB","18",
			"/d4science.research-infrastructures.eu/FARM/WECAFC-FIRMS","20"			
	};
	
	public static String[] data01 = {
			"/d4science.research-infrastructures.eu/FARM/AlieiaVRE","12",
			"/d4science.research-infrastructures.eu/D4Research/AnalyticsLab","103",
			"/d4science.research-infrastructures.eu/FARM/Aquabiotech","8",
			"/d4science.research-infrastructures.eu/gCubeApps/AquacultureAtlasGeneration","35",
			"/d4science.research-infrastructures.eu/gCubeApps/AquacultureTrainingLab","278",
			"/d4science.research-infrastructures.eu/FARM/ARDAG_Aquaculture","6",
			"/d4science.research-infrastructures.eu/D4Research/BOBLME_HilsaAWG","3",
			"/d4science.research-infrastructures.eu/gCubeApps/BiodiversityLab","400",
			"/d4science.research-infrastructures.eu/gCubeApps/BiOnym","121",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueCommons","35",
			"/d4science.research-infrastructures.eu/D4Research/Blue-Datathon","45",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueUptake","33",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBRIDGE-EAB","22",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBridgeProject","99",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBRIDGE-PSC","10",
			"/d4science.research-infrastructures.eu/D4Research/BlueBRIDGEReview","15",
			"/d4science.research-infrastructures.eu/D4Research/DRuMFISH","27",
			"/d4science.research-infrastructures.eu/FARM/EllinikaPsariaVRE","11",
			"/d4science.research-infrastructures.eu/FARM/ForkysVRE","12",
			"/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas","5",
			"/d4science.research-infrastructures.eu/FARM/GALAXIDI","4",
			"/d4science.research-infrastructures.eu/FARM/GRSF","13",
			"/d4science.research-infrastructures.eu/FARM/GRSF_Admin","31",
			"/d4science.research-infrastructures.eu/gCubeApps/ICCAT_BFT-E","38",
			"/d4science.research-infrastructures.eu/D4Research/ICES_AbundanceEstimationFromAcoustic","36",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_DALSA","27",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_DASC","17",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_FIACO","28",
			"/d4science.research-infrastructures.eu/D4Research/ICES_IntroStockAssessment","34",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_TCRE","31",
			"/d4science.research-infrastructures.eu/D4Research/ICES_MSE","27",
			"/d4science.research-infrastructures.eu/D4Research/ICES_MSY","84",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_StockAssessmentAdvanced","26",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_TCSSM","29",
			"/d4science.research-infrastructures.eu/FARM/iLKNAK_Aquaculture","6",
			"/d4science.research-infrastructures.eu/D4Research/InfraTraining","10",
			"/d4science.research-infrastructures.eu/D4Research/IOTC_SS3","37",
			"/d4science.research-infrastructures.eu/gCubeApps/iSearch","59",
			"/d4science.research-infrastructures.eu/FARM/MARKELLOS_Aquaculture","6",
			"/d4science.research-infrastructures.eu/gCubeApps/PerformanceEvaluationInAquaculture","27",
			"/d4science.research-infrastructures.eu/gCubeApps/ProtectedAreaImpactMaps","68",
			"/d4science.research-infrastructures.eu/gCubeApps/RPrototypingLab","123",
			"/d4science.research-infrastructures.eu/gCubeApps/RStudioLab","80",
			"/d4science.research-infrastructures.eu/gCubeApps/ScalableDataMining","167",
			"/d4science.research-infrastructures.eu/gCubeApps/SIASPA","31",
			"/d4science.research-infrastructures.eu/gCubeApps/StockAssessment","63",
			"/d4science.research-infrastructures.eu/gCubeApps/StrategicInvestmentAnalysis","26",
			"/d4science.research-infrastructures.eu/FARM/STRATOS_AQUACULTURES","5",
			"/d4science.research-infrastructures.eu/gCubeApps/TabularDataLab","191",
			"/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas","44",
			"/d4science.research-infrastructures.eu/FARM/VME-DB","18",
			"/d4science.research-infrastructures.eu/FARM/WECAFC-FIRMS","20",
	};
	
	public static String[] data02 = {
			"/d4science.research-infrastructures.eu/FARM/AlieiaVRE","12",
			"/d4science.research-infrastructures.eu/D4Research/AnalyticsLab","106",
			"/d4science.research-infrastructures.eu/FARM/Aquabiotech","8",
			"/d4science.research-infrastructures.eu/gCubeApps/AquacultureAtlasGeneration","35",
			"/d4science.research-infrastructures.eu/gCubeApps/AquacultureTrainingLab","279",
			"/d4science.research-infrastructures.eu/FARM/ARDAG_Aquaculture","6",
			"/d4science.research-infrastructures.eu/D4Research/BOBLME_HilsaAWG","3",
			"/d4science.research-infrastructures.eu/gCubeApps/BiodiversityLab","402",
			"/d4science.research-infrastructures.eu/gCubeApps/BiOnym","124",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueCommons","35",
			"/d4science.research-infrastructures.eu/D4Research/Blue-Datathon","45",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueUptake","33",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBRIDGE-EAB","26",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBridgeProject","99",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBRIDGE-PSC","10",
			"/d4science.research-infrastructures.eu/D4Research/BlueBRIDGEReview","15",
			"/d4science.research-infrastructures.eu/D4Research/DRuMFISH","27",
			"/d4science.research-infrastructures.eu/FARM/EllinikaPsariaVRE","11",
			"/d4science.research-infrastructures.eu/FARM/ForkysVRE","12",
			"/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas","5",
			"/d4science.research-infrastructures.eu/FARM/GALAXIDI","4",
			"/d4science.research-infrastructures.eu/FARM/GRSF","13",
			"/d4science.research-infrastructures.eu/FARM/GRSF_Admin","32",
			"/d4science.research-infrastructures.eu/gCubeApps/ICCAT_BFT-E","38",
			"/d4science.research-infrastructures.eu/D4Research/ICES_AbundanceEstimationFromAcoustic","36",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_DALSA","27",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_DASC","17",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_FIACO","28",
			"/d4science.research-infrastructures.eu/D4Research/ICES_IntroStockAssessment","34",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_TCRE","31",
			"/d4science.research-infrastructures.eu/D4Research/ICES_MSE","27",
			"/d4science.research-infrastructures.eu/D4Research/ICES_MSY","84",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_StockAssessmentAdvanced","26",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_TCSSM","29",
			"/d4science.research-infrastructures.eu/FARM/iLKNAK_Aquaculture","6",
			"/d4science.research-infrastructures.eu/D4Research/InfraTraining","10",
			"/d4science.research-infrastructures.eu/D4Research/IOTC_SS3","38",
			"/d4science.research-infrastructures.eu/gCubeApps/iSearch","60",
			"/d4science.research-infrastructures.eu/FARM/MARKELLOS_Aquaculture","6",
			"/d4science.research-infrastructures.eu/gCubeApps/PerformanceEvaluationInAquaculture","27",
			"/d4science.research-infrastructures.eu/gCubeApps/ProtectedAreaImpactMaps","71",
			"/d4science.research-infrastructures.eu/gCubeApps/RPrototypingLab","127",
			"/d4science.research-infrastructures.eu/gCubeApps/RStudioLab","81",
			"/d4science.research-infrastructures.eu/gCubeApps/ScalableDataMining","171",
			"/d4science.research-infrastructures.eu/gCubeApps/SIASPA","32",
			"/d4science.research-infrastructures.eu/gCubeApps/StockAssessment","63",
			"/d4science.research-infrastructures.eu/gCubeApps/StrategicInvestmentAnalysis","26",
			"/d4science.research-infrastructures.eu/FARM/STRATOS_AQUACULTURES","5",
			"/d4science.research-infrastructures.eu/gCubeApps/TabularDataLab","193",
			"/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas","49",
			"/d4science.research-infrastructures.eu/FARM/VME-DB","18",
			"/d4science.research-infrastructures.eu/FARM/WECAFC-FIRMS","24"	
	};

	public static String[] data03 = {
			"/d4science.research-infrastructures.eu/FARM/AlieiaVRE","12",
			"/d4science.research-infrastructures.eu/D4Research/AnalyticsLab","107",
			"/d4science.research-infrastructures.eu/FARM/Aquabiotech","8",
			"/d4science.research-infrastructures.eu/gCubeApps/AquacultureAtlasGeneration","35",
			"/d4science.research-infrastructures.eu/gCubeApps/AquacultureTrainingLab","278",
			"/d4science.research-infrastructures.eu/FARM/ARDAG_Aquaculture","6",
			"/d4science.research-infrastructures.eu/D4Research/BOBLME_HilsaAWG","3",
			"/d4science.research-infrastructures.eu/gCubeApps/BiodiversityLab","403",
			"/d4science.research-infrastructures.eu/gCubeApps/BiOnym","124",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueCommons","35",
			"/d4science.research-infrastructures.eu/D4Research/Blue-Datathon","45",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueUptake","33",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBRIDGE-EAB","26",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBridgeProject","99",
			"/d4science.research-infrastructures.eu/gCubeApps/BlueBRIDGE-PSC","10",
			"/d4science.research-infrastructures.eu/D4Research/BlueBRIDGEReview","15",
			"/d4science.research-infrastructures.eu/D4Research/DRuMFISH","27",
			"/d4science.research-infrastructures.eu/FARM/EllinikaPsariaVRE","11",
			"/d4science.research-infrastructures.eu/FARM/ForkysVRE","12",
			"/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas","5",
			"/d4science.research-infrastructures.eu/FARM/GALAXIDI","4",
			"/d4science.research-infrastructures.eu/FARM/GRSF","13",
			"/d4science.research-infrastructures.eu/FARM/GRSF_Admin","32",
			"/d4science.research-infrastructures.eu/gCubeApps/ICCAT_BFT-E","38",
			"/d4science.research-infrastructures.eu/D4Research/ICES_AbundanceEstimationFromAcoustic","36",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_DALSA","27",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_DASC","17",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_FIACO","28",
			"/d4science.research-infrastructures.eu/D4Research/ICES_IntroStockAssessment","34",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_TCRE","32",
			"/d4science.research-infrastructures.eu/D4Research/ICES_MSE","29",
			"/d4science.research-infrastructures.eu/D4Research/ICES_MSY","84",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_StockAssessmentAdvanced","26",
			"/d4science.research-infrastructures.eu/gCubeApps/ICES_TCSSM","29",
			"/d4science.research-infrastructures.eu/FARM/iLKNAK_Aquaculture","6",
			"/d4science.research-infrastructures.eu/D4Research/InfraTraining","10",
			"/d4science.research-infrastructures.eu/D4Research/IOTC_SS3","38",
			"/d4science.research-infrastructures.eu/gCubeApps/iSearch","61",
			"/d4science.research-infrastructures.eu/FARM/MARKELLOS_Aquaculture","6",
			"/d4science.research-infrastructures.eu/gCubeApps/PerformanceEvaluationInAquaculture","27",
			"/d4science.research-infrastructures.eu/gCubeApps/ProtectedAreaImpactMaps","71",
			"/d4science.research-infrastructures.eu/gCubeApps/RPrototypingLab","127",
			"/d4science.research-infrastructures.eu/gCubeApps/RStudioLab","81",
			"/d4science.research-infrastructures.eu/gCubeApps/ScalableDataMining","171",
			"/d4science.research-infrastructures.eu/gCubeApps/SIASPA","32",
			"/d4science.research-infrastructures.eu/gCubeApps/StockAssessment","63",
			"/d4science.research-infrastructures.eu/gCubeApps/StrategicInvestmentAnalysis","26",
			"/d4science.research-infrastructures.eu/FARM/STRATOS_AQUACULTURES","5",
			"/d4science.research-infrastructures.eu/gCubeApps/TabularDataLab","191",
			"/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas","49",
			"/d4science.research-infrastructures.eu/FARM/VME-DB","18",
			"/d4science.research-infrastructures.eu/FARM/WECAFC-FIRMS","24"	
	};
	
	
	public static String[] data04 = {
		"/d4science.research-infrastructures.eu/FARM/CWP_Secretariat", "8"	
	};
	
	public static String[] vals = {
		"2017", "1", "0", "2", "80",	
		"2017", "2", "0", "2", "80",
		"2017", "3", "0", "2", "80",
		"2017", "4", "0", "2", "80",
		"2017", "5", "0", "2", "80",
		"2017", "6", "0", "2", "80",
		"2017", "7", "4", "2", "80",
		"2017", "8", "4", "2", "80",
		"2017", "9", "4", "2", "80",
		"2017", "10", "4", "2", "80",
		"2017", "11", "4", "2", "80",
		"2017", "12", "4", "2", "80",
		"2018", "1", "4", "2", "80",
		"2018", "2", "4", "2", "80",
		"2018", "3", "4", "2", "80"
	};
	
	public static void main(String[] args) {
//		for(int i=0; i<data03.length; i+=2) {
//			String insert = "insert into monthly_measure (year, month, measure, measure_type_id, context_id, day) " + 
//					"values(2018,3," + data03[i+1] + ",2,(select id from context where dname='" + data03[i] + "'),'2018-03-01');";
//			System.out.println(insert);
//		}
		insertMeasures();
	}
	
	private static void insertMeasures() {
		String im = "insert into monthly_measure (year, month, measure, measure_type_id, context_id, day) values ";
		String val = "(%Y, %M, %m, %T, %C, '%D')";
		
		for(int i=0; i<vals.length; i+=5) {
			String item = new String(val);
			item = item.replace("%Y", vals[i]);
			item = item.replace("%M", vals[i+1]);
			item = item.replace("%m", vals[i+2]);
			item = item.replace("%T", vals[i+3]);
			item = item.replace("%C", vals[i+4]);
			item = item.replace("%D", getDay(vals[i], vals[i+1]));
			im += item + ",";
		}
		im = im.substring(0, im.length()-1);
		System.out.println(im);
	}
	
	private static String getDay(String year, String month) {
		String day = year + "-";
		if(month.length() < 2) 
			day += "0" + month + "-01";
		else day += month + "-01";
		
		return day;
	}
}
